%define upstream_name PyPDF2

Summary:        Pure-Python PDF toolkit
Name:           python-pypdf2
Version:        1.26.0
Release:        %mkrel 2
License:        BSD
Group:          Development/Python
Url:            http://mstamy2.github.io/PyPDF2
Source0:        https://pypi.io/packages/source/P/%{upstream_name}/%{upstream_name}-%{version}.tar.xz
BuildArch:      noarch

%description
A Pure-Python library built as a PDF toolkit. It is capable of:
    * extracting document information (title, author, ...),
    * splitting documents page by page,
    * merging documents page by page,
    * cropping pages,
    * merging multiple pages into a single page,
    * encrypting and decrypting PDF files.

#------------------------------------------------------------------------------


%files
%doc CHANGELOG LICENSE README.md
%{python2_sitelib}/%{upstream_name}-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/%{upstream_name}

#------------------------------------------------------------------------------

%package -n python3-pypdf2
Summary:        %{summary} / Python 3 library
Provides:       python3-%{upstream_name} = %{version}
BuildRequires:  pkgconfig(python3)

%description -n python3-pypdf2
A Pure-Python3 library built as a PDF toolkit. It is capable of:
    * extracting document information (title, author, ...),
    * splitting documents page by page,
    * merging documents page by page,
    * cropping pages,
    * merging multiple pages into a single page,
    * encrypting and decrypting PDF files.

%files -n python3-pypdf2
%doc CHANGELOG LICENSE README.md
%{python3_sitelib}/%{upstream_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{upstream_name}

#------------------------------------------------------------------------------

%prep
%setup -q -n %{upstream_name}-%{version}
%__sed -i '/^#!/d' PyPDF2/pagerange.py
%__chmod a-x CHANGELOG LICENSE README.md

%__cp -a . %{py3dir}


%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%install
%py2_install

pushd %{py3dir}
%py3_install
popd


%changelog
* Thu Mar 17 2022 TerryN <terryn94 at gmail.com> 1.26.0-2pclos2022
- rebuild for python 3.10
